Subject: bug#56820: outline-minor-mode replacing the first character with an arrow

From: Yilkal Argaw <[email-masked]>
Date: Fri, 29 Jul 2022 13:39:28 +0300

Hi Guys,

Today I compiled emacs from source and while using outline-minor-mode
it started replacing the first character with an arrow whenever I fold
the code. The characters remain  as arrows even when I disable outline
minor mode. To recreate the issue

   + emacs -q
   + open a source code file (I opened ruby,  python and elisp files)
   + outline-minor-mode
   + M-: (set outline-minor-mode-cycle t)
   + (outline-minor-mode-cycle-buffer)

The emacs version I use is   29.0.50 (build 4, x86_64-pc-linux-gnu)

wiith regards
Yilkal A.